// CTapeCtrlView.cpp: файл реализации
//

#include "pch.h"

#include "TapeCtrlView.h"


#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#define new DEBUG_NEW
#endif

// CTapeCtrlView

IMPLEMENT_DYNAMIC(CTapeCtrlView, CDocPaneDlgViewBase)

CTapeCtrlView::CTapeCtrlView(UINT nErrID)
	: CDocPaneDlgViewBase(nErrID)
{
	m_pDlg = &m_Dlg;
}

CTapeCtrlView::~CTapeCtrlView()
    = default;

BEGIN_MESSAGE_MAP(CTapeCtrlView, CDocPaneDlgViewBase)
END_MESSAGE_MAP()


// обработчики сообщений CTapeCtrlView


void CTapeCtrlView::UpdateTapeControls(bool bEmuLoad, bool bEmuSave)
{
	m_Dlg.UpdateControlsState(bEmuLoad, bEmuSave);
}

void CTapeCtrlView::StartPlayTape()
{
	m_Dlg.RunPlay();
}

void CTapeCtrlView::InitParams(CTape *pTape)
{
	m_Dlg.SetTape(pTape);
	m_Dlg.InitParam();
}

